Add Areas
POST
/api/construct-models/:model_id/areasAdd Areas
Request
Parameters
| Name | Location | Type | Required |
|---|---|---|---|
model_id | path | string | yes |
Bodyrequired
application/json
AreasBatchobject
| Property | Type | Required |
|---|---|---|
areas | object[] | yes |
Raw schema
{
"properties": {
"areas": {
"items": {
"properties": {
"cardinalPoint": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Cardinalpoint"
},
"diaphragmId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Diaphragmid"
},
"id": {
"title": "Id",
"type": "string"
},
"kind": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Kind"
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Label"
},
"materialId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Materialid"
},
"nodeIds": {
"items": {
"type": "string"
},
"minItems": 3,
"title": "Nodeids",
"type": "array"
},
"openingNodeIds": {
"items": {
"items": {
"type": "string"
},
"type": "array"
},
"title": "Openingnodeids",
"type": "array"
},
"sectionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Sectionid"
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
},
"thickness": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Thickness"
}
},
"required": [
"id",
"nodeIds"
],
"title": "ViewerArea",
"type": "object"
},
"minItems": 1,
"title": "Areas",
"type": "array"
}
},
"required": [
"areas"
],
"title": "AreasBatch",
"type": "object"
}Responses
200Successful Response
application/json
Response Add Construct Areasobject[]
Raw schema
{
"items": {
"properties": {
"cardinalPoint": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Cardinalpoint"
},
"diaphragmId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Diaphragmid"
},
"id": {
"title": "Id",
"type": "string"
},
"kind": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Kind"
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Label"
},
"materialId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Materialid"
},
"nodeIds": {
"items": {
"type": "string"
},
"minItems": 3,
"title": "Nodeids",
"type": "array"
},
"openingNodeIds": {
"items": {
"items": {
"type": "string"
},
"type": "array"
},
"title": "Openingnodeids",
"type": "array"
},
"sectionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Sectionid"
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
},
"thickness": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Thickness"
}
},
"required": [
"id",
"nodeIds"
],
"title": "ViewerArea",
"type": "object"
},
"title": "Response Add Construct Areas",
"type": "array"
}422Validation Error
application/json
HTTPValidationErrorobject
| Property | Type | Required |
|---|---|---|
detail | object[] | no |
Raw schema
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"title": "Location",
"type": "array"
},
"msg": {
"title": "Message",
"type": "string"
},
"type": {
"title": "Error Type",
"type": "string"
}
},
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError",
"type": "object"
},
"title": "Detail",
"type": "array"
}
},
"title": "HTTPValidationError",
"type": "object"
}